import React from 'react';
declare const _default: {
    title: string;
    parameters: {
        component: import("../BaseButton/Button.types").BaseButtonComponent & {
            Pill: import("../PillButton/PillButton.types").PillButtonComponent;
        } & {
            Icon: import("./IconButton.types").IconButtonComponent;
        };
    };
};
export default _default;
export declare const Documentation: () => React.JSX.Element;
export declare const DefaultUsage: {
    render: () => React.JSX.Element;
    name: string;
};
